function MenuItemModel(p) {
    "use strict";
    var mSelf = this,
        o = checkValue(p, {});

    mSelf.name = checkValue(o.name, "");
    mSelf.icon = checkValue(o.icon, "");
    mSelf.link = checkValue(o.link, "#");
    mSelf.level = checkValue(o.level, "0");
    mSelf.items = o.items;
}